# EPS 預測

`GET` `/v1/quote/forecast-eps`

獲取 EPS 預測及分析師共識估值。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `TSLA.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/forecast-eps?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `items` | object[] | No | EPS 預測週期列表 |
| `└ forecast_eps_median` | string | No | EPS 預估中位數 |
| `└ forecast_eps_mean` | string | No | EPS 預估平均值 |
| `└ forecast_eps_lowest` | string | No | 最低 EPS 預估值 |
| `└ forecast_eps_highest` | string | No | 最高 EPS 預估值 |
| `└ institution_total` | integer | No | 參與機構總數 |
| `└ institution_up` | integer | No | 上調預期的機構數 |
| `└ institution_down` | integer | No | 下調預期的機構數 |
| `└ forecast_start_date` | string | No | 預測週期開始日期 |
| `└ forecast_end_date` | string | No | 預測週期結束日期 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "items": [
      {
        "forecast_end_date": "1727827200",
        "forecast_eps_highest": "3.71",
        "forecast_eps_lowest": "2.37",
        "forecast_eps_mean": "2.998",
        "forecast_eps_median": "3.02",
        "forecast_start_date": "1727827200",
        "institution_down": 0,
        "institution_total": 0,
        "institution_up": 0
      }
    ]
  }
}
```
